os_version(3)

NAME
os_version, os_revision - Version of the OS currently running. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

extern int os_version; extern int os_revision;

DESCRIPTION
The major and minor version of the Operating System currently running. Set by allegro_init(). If Allegro for some reason was not able to retrieve the version of the Operating System, os_version and os_revision will be set to -1. For example: Under Win98 SE (v4.10.2222) os_version will be set to 4 and os_revision to 10.

SEE ALSO
os_type(3), os_multitasking(3)